Program Test;

{$define debug}

uses
  Chief4;

Var
  ThisObj : TObject;

Begin
  ThisObj.Init;
  With ThisObj do begin
     Handle := -1;
     Name   := 'OK';
     Child  := New (PNewObj, Create (@ThisObj) );
     Writeln (Child^.Parent^.Name);
     Child^.Free;
     Done;
  end; { With Ob^ }
End { Program() }.
